package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.MessageType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (MessageType)表数据库访问层
 *
 * @author makejava
 * @since 2020-11-17 17:23:26
 */
@Mapper
public interface MessageTypeMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MessageType selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<MessageType> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param messageType 实例对象
     * @return 对象列表
     */
    List<MessageType> selectList(MessageType messageType);

    /**
     * 新增数据
     *
     * @param messageType 实例对象
     * @return 影响行数
     */
    int insert(MessageType messageType);

    /**
     * 批量新增
     *
     * @param messageTypes 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("messageTypes") List<MessageType> messageTypes);

    /**
     * 修改数据
     *
     * @param messageType 实例对象
     * @return 影响行数
     */
    int update(MessageType messageType);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<MessageType> selectPage(IPage<MessageType> page, MessageType messageType);

}